Request
curl https://sandbox.api.lendeasy.ai /v1/servicing/reports/investor \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/reports/investor` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/servicing/reports/investor" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant},
)200 400 401 403 404
{
"asOf": "2026-07-25T18: 30 :00Z",
"periodStart": "2025-02-01",
"periodEnd": "2026-07-25",
"currency": "USD",
"demo": false ,
"status": "COMPLETE",
"provenance": {
"label": "Reporting snapshot",
"loadKey": "INVESTOR_V1: 2026 -07-25",
"sourceWatermark": "portfolio-v1: 2026 -07-25",
"generationMode": "SNAPSHOT_LOAD",
"nonAuthoritative": true
},
"reports": [
{
"key": "executive-pulse",
"title": "Executive Pulse",
"category": "Executive",
"description": "The one-page operating picture: scale, growth, earnings, credit, liquidity, and execution.",
"question": "Is the platform compounding responsibly, and where should leadership look next?",
"cadence": "Daily close",
"accent": "EMERALD",
"featured": true ,
"sortOrder": 1
},
{
"key": "collections-promises",
"title": "Collections And Promises",
"category": "Credit & Collections",
"description": "Case demand, contact activity, promise conversion, promise dollars, and kept rate.",
"question": "Is collections work producing credible commitments and realized cash?",
"cadence": "Daily close",
"accent": "AMBER",
"featured": false ,
"sortOrder": 14
}
],
"reportCount": 2
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}